<?php
// ============================== //
// Автор: UVERworld
// Скрипт: Ядро для сайта
// Использование: Не для новичков
// Возможности: Чет новое
// ============================== //
// Контакты
// ============================== //
// http://profiwm.com/profile?id=3621
// http://vk.com/zend_blue
// http://4i4i.ru/wm/UVERworld
// ============================== //

$title = 'Редактировать категорию';
require_once ('../../system/index.php');
$func->load_modules('header');

if ($user['level'] == 0) {
header('location:/');
die();
}

$func->load_primary($title,'Здесь вы можете изменить категорию!<br/>Для выгрузки файлов это необходимая мера!');

$query = DB::$dbs->query("SELECT * FROM `categories` WHERE `id`=?", (abs((int)$_GET['id'])));
$result = $query->fetch();

if(isset($_POST['name']))
{
	$name = filter($_POST['name']);
	$translit = filter(translit($name));
	$about = '';
	$description = '';
	$keywords = '';

	if(empty($name))
	{
		$func->load_error($title,'Введите название категории!');
	}

	if(isset($_POST['description']))
	{
		$description = filter($_POST['description']);
	}
	if(isset($_POST['keywords']))
	{
		$keywords = filter($_POST['keywords']);
	}
	if(isset($_POST['about']))
	{
		$about = filter($_POST['about']);
	}

	if(mb_strlen($name, 'utf-8') > 100)
	{
		$func->load_error($title,'Название категории не может быть больше 100 символов!');
	}
	if(mb_strlen($description, 'utf-8') > 255)
	{
		$func->load_error($title,'Описание категории не может быть больше 255 символов!');
	}
	if(mb_strlen($keywords, 'utf-8') > 255)
	{
		$func->load_error($title,'Ключевые слова для категории не могут быть больше 255 символов!');
	}
	if(mb_strlen($about, 'utf-8') > 200)
	{
		$func->load_error($title,'Описание для категории не может быть больше 200 символов!');
	}

	if($translit != $result['translit'])
	{
		if(file_exists(H.'/files/'.$translit))
		{
			$func->load_error($title,'Категория с таким именем уже существует!');
		}

		if(!rename(H.'/files/'.$result['translit'], H.'/files/'.$translit))
		{
			$func->load_error($title,'Произошла ошибка при переименовании категории!');
		}

		$query2 = DB::$dbs->query("SELECT * FROM `data` WHERE `cat_id`='".$result['id']."'");
		while($result2 = $query2->fetch()) 
		{
			$new_translit = str_replace($result['translit'], $translit, $result2['translit']);
			$new_file = str_replace('files/'.$result['translit'], 'files/'.$translit, $result2['file']);
			$new_mini_scr = str_replace('files/'.$result['translit'], 'files/'.$translit, $result2['mini_scr']);
			$new_scr = str_replace('files/'.$result['translit'], 'files/'.$translit, $result2['scr']);
			
			$db->query("UPDATE `data` SET `translit`='".filter($new_translit)."', `file`='".filter($new_file)."', `mini_scr`='".filter($new_mini_scr)."', `scr`='".$new_scr."' WHERE `id`='".$result2['id']."'");
		}
	}

	DB::$dbs->query("UPDATE `categories` SET `name`='".$name."', `translit`='".$translit."', `description`='".$description."', `keywords`='".$keywords."', `about`='".$about."' WHERE `id`='".$result['id']."'");
	$func->load_primary('Успех','Категория успешно изменена!');
}
?>
<form action="" method="post">
    <div class="box box-info">
    
    <div class="box-header with-border">
		<h3 class="box-title"><?=$title?></h3>
	</div>
    
    <div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-reorder"></i></span>
			<input type="text" name="name" class="form-control" placeholder="Название: <?=$result['name']?>">
		</div>
	</div>

    <div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-rss-square"></i></span>
			<input type="text" name="about" class="form-control" placeholder="Описание: <?=$result['about']?>">
		</div>
	</div>

    </div>

    <center>
	    <input type="submit" value="Изменить" class="btn btn-primary"/>
    </center>

</form>
<?

$func->load_modules('footer');
?>