<?php
// ============================== //
// Автор: UVERworld
// Скрипт: Ядро для сайта
// Использование: Не для новичков
// Возможности: Чет новое
// ============================== //
// Контакты
// ============================== //
// http://profiwm.com/profile?id=3621
// http://vk.com/zend_blue
// http://4i4i.ru/wm/UVERworld
// ============================== //

$title = 'Выгрузка видео';
require_once ('../../system/index.php');
$func->load_modules('header');
menu();

$func->load_primary('Выгрузка видео','Сдесь вы можете добавить новые Видео!<br/>Для просмотра видео это необходимая мера!');

if(isset($_POST['name']) and isset($_FILES['file']['name']) and isset($_POST['cat']))
{
    
	$name = filter($_POST['name']);
	$file = $_FILES['file']['name'];
	$tag = filter($_POST['tag']);
	$keywords = '';
	$about = '';
	$cat = abs(intval($_POST['cat'])); 

	$query = DB::$dbs->query("SELECT * FROM `categories` WHERE `id`='".$cat."'");
    $category = $query->fetch();
    
	if(empty($name))
	{
		$func->load_error('Ошибка','Название видеофайла должно быть заполнено!');
	}
	if(empty($file))
	{
		$func->load_error('Ошибка','Вы не выбрали видеофайл!');
	}
	
	if($_FILES['file']['error'])
	{
		$func->load_error('Ошибка','При загрузке файла произошла ошибка! Подробности: '.$_FILES['file']['error']);
	}
	
	if(!empty($_POST['keywords']))
	{
		$keywords = filter($_POST['keywords']);
	}
	
	if(!empty($_POST['about']))
	{
		$about = filter($_POST['about']);
	}
	
	if(mb_strlen($name, 'utf-8') > 100)
	{
		$func->load_error('Ошибка','Название видеофайла не может быть больше 100 символов!');
	}

	if(mb_strlen($keywords, 'utf-8') > 255)
	{
		$func->load_error('Ошибка','Ключевые слова (meta) должны быть не больше 255 символов!');
	}
	
	if(mb_strlen($about, 'utf-8') > 500)
	{
		$func->load_error('Ошибка','Описание видеозаписи должно быть не больше 500 символов!');
	}	
	
	$info = pathinfo($file);
	$extension = $info['extension'];
	$translit_name = translit($name);
	$dir = 'files/'.$category['translit'].'/'.$translit_name;
	$translit = $category['translit'].'/'.$translit_name;
	$url_file = $dir.'/'.$system['prefix'].$translit_name.'.'.$extension;
	
	if($extension != '3gp' and $extension != 'mp4' and $extension != 'avi' and $extension != 'flv')
	{
		$func->load_error('Ошибка','К загрузке допускаются только файлы формата 3gp :: mp4 :: avi :: flv!');
	}	
	
	if(file_exists(H.'/'.$dir))
	{
		$func->load_error('Ошибка','Папка с именем <b>'.$dir.'</b> уже существует!');
	}
	
	if(!mkdir(H.'/'.$dir, 0777))
	{
		$func->load_error('Ошибка','Произошла ошибка при создании папки '.$dir.' !');
	}
	chmod(H.'/'.$dir, 0777);
	
	if(!copy($_FILES['file']['tmp_name'], H.'/'.$url_file))
	{
		unlink(H.'/'.$dir);
		$func->load_error('Ошибка','Ошибка при копировании файла!');
	}		
	
	$video = new ffmpeg_movie(H.'/'.$url_file);
	$duration = intval($video->getDuration());
	$size = $_FILES['file']['size'];
    $width = $video->getFrameWidth();
	$height = $video->getFrameHeight();
	$screen_size = $width.'x'.$height;	
	$scr_mini = $dir.'/screen_mini.jpg';
	$scr = $dir.'/screen.jpg';
	
	$frame_count = $video->getFrameCount();
	$frame = intval($frame_count / 2);
	$select = $video->getFrame($frame);	
	
	if($select)
	{
		$screen = $select->toGDImage();
		imagejpeg($screen, H.'/'.$scr, 100);
		imagedestroy($screen);
		imageresize(H.'/'.$scr, H.'/'.$scr, 480, 480, 100);
        imageresize(H.'/'.$scr, H.'/'.$scr_mini, 200, 200, 100);	
	    
	}
	else
	{
		$frame = intval($frame_count / 3);
		$select = $video->getFrame($frame);
		if(!$select)
		{
			unset($video);
			remove_dir(H.'/'.$dir);
			$func->load_error('Ошибка','Невозможно создать скриншот для этого видео! Загрузите другое видео!');
		}
		
		$screen = $select->toGDImage();
		imagejpeg($screen, H.'/'.$scr, 85);
		imagedestroy($screen);
		imageresize(H.'/'.$scr, H.'/'.$scr, 200, 200, 100);
	}	
	
	DB::$dbs->query("INSERT INTO `data` SET `user_id`='".$user['id']."', `cat_id`='".$cat."', `name`='".$name."', `translit`='".$translit."', `about`='".$about."', `keywords`='".$keywords."', `duration`='".$duration."', `size`='".$size."', `format`='".$extension."', `screen_size`='".$screen_size."', `like`='0', `download`='0', `file`='".$url_file."', `mini_scr`='".$scr_mini."', `scr`='".$scr."', `add_time`='".time()."', `tag`='".$tag."'");
    $func->load_primary('Успех','Файл успешно загружен!');
}

$select_cat = DB::$dbs->query("SELECT * FROM `categories`");
$cat_array = array();

?>
<form action="?" method="post" enctype="multipart/form-data">
    
<div class="box box-info">

	<div class="box-header with-border">
		<h3 class="box-title"><?=$title?>:</h3>
	</div>    
    
	<div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-user"></i></span>
			<input type="text" name="name" class="form-control" placeholder="Название:">
		</div>
	</div>    
    
	<div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-user"></i></span>
			<input type="text" name="tag" class="form-control" placeholder="Теги(через запятую):">
		</div>
	</div>     
    
	<div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-user"></i></span>
			<input type="text" name="about" class="form-control" placeholder="Описание:">
		</div>
	</div>    
	
	<div class="box-body">
		<div class="input-group">
			<span class="input-group-addon"><i class="fa fa-user"></i></span>
			<input type="text" name="keywords" class="form-control" placeholder="Ключевые слова:">
		</div>
	</div> 	

    <input type="file" name="file" /><br />
        Категория:<br />
        <select name="cat">
            <option value="0">Выберите категорию</option>
            <?foreach($select_cat as $value):?>
            <option value="<?=$value['id']?>"><?=$value['name']?></option>
            <?endforeach;?>
        </select><br />
	</div>

<center>
	<input type="submit" value="Загрузить" class='btn btn-primary'/>
</center>

</form>    
<?



$func->load_modules('footer');
?>